// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/.
// SPDX-License-Identifier: CC-BY-SA-4.0
//     yuqk word_get_dump.pov
//  
// Run in temp work directory as it creates many files.
#version unofficial 3.8; // yuqk
#if (file_exists("version.inc"))
    #include "version.inc"
#end
#if (!defined(Fork_yuqk))
    #error "This POV-Ray SDL code requires the yuqk fork."
#end


#fopen FID "Dump_oFnNames" write
#for (N,0,word_is("0oFnNames")-1,1)
    #write (FID,concat(word_get("0oFnNames",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_iFnNames" write
#for (N,0,word_is("0iFnNames")-1,1)
    #write (FID,concat(word_get("0iFnNames",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_nFnNames" write
#for (N,0,word_is("0nFnNames")-1,1)
    #write (FID,concat(word_get("0nFnNames",N),"\n"))
#end
#fclose FID


#fopen FID "Dump_oFakeByFnctWords" write
#for (N,0,word_is("0oFakeByFnctWords")-1,1)
    #write (FID,concat(word_get("0oFakeByFnctWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_iFakeByFnctWords" write
#for (N,0,word_is("0iFakeByFnctWords")-1,1)
    #write (FID,concat(word_get("0iFakeByFnctWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_nFakeByFnctWords" write
#for (N,0,word_is("0nFakeByFnctWords")-1,1)
    #write (FID,concat(word_get("0nFakeByFnctWords",N),"\n"))
#end
#fclose FID


#fopen FID "Dump_oDirectiveWords" write
#for (N,0,word_is("0oDirectiveWords")-1,1)
    #write (FID,concat(word_get("0oDirectiveWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_iDirectiveWords" write
#for (N,0,word_is("0iDirectiveWords")-1,1)
    #write (FID,concat(word_get("0iDirectiveWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_nDirectiveWords" write
#for (N,0,word_is("0nDirectiveWords")-1,1)
    #write (FID,concat(word_get("0nDirectiveWords",N),"\n"))
#end
#fclose FID


#fopen FID "Dump_oKeyWords" write
#for (N,0,word_is("0oKeyWords")-1,1)
    #write (FID,concat(word_get("0oKeyWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_iKeyWords" write
#for (N,0,word_is("0iKeyWords")-1,1)
    #write (FID,concat(word_get("0iKeyWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_nKeyWords" write
#for (N,0,word_is("0nKeyWords")-1,1)
    #write (FID,concat(word_get("0nKeyWords",N),"\n"))
#end
#fclose FID


#fopen FID "Dump_oOddWords" write
#for (N,0,word_is("0oOddWords")-1,1)
    #write (FID,concat(word_get("0oOddWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_iOddWords" write
#for (N,0,word_is("0iOddWords")-1,1)
    #write (FID,concat(word_get("0iOddWords",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_nOddWords" write
#for (N,0,word_is("0nOddWords")-1,1)
    #write (FID,concat(word_get("0nOddWords",N),"\n"))
#end
#fclose FID


#fopen FID "Dump_oOptionNames" write
#for (N,0,word_is("0oOptionNames")-1,1)
    #write (FID,concat(word_get("0oOptionNames",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_iOptionNames" write
#for (N,0,word_is("0iOptionNames")-1,1)
    #write (FID,concat(word_get("0iOptionNames",N),"\n"))
#end
#fclose FID

#fopen FID "Dump_nOptionNames" write
#for (N,0,word_is("0nOptionNames")-1,1)
    #write (FID,concat(word_get("0nOptionNames",N),"\n"))
#end
#fclose FID


#fopen FID "DumpChk.sh" write
    #write (FID,"#!/bin/bash\n")
    #write (FID,"export LC_ALL=C\n")
    #write (FID,"\\rm Dump_*_S 2>/dev/null\n")
    #write (FID,"for filename in `ls Dump_*`; do\n")
    #write (FID,"    echo $filename\n")
    #write (FID,"    sort --unique $filename >${filename}_S\n")
    #write (FID,"    diff $filename ${filename}_S\n")
    #write (FID,"done\n")
#fclose FID


#error "Stopping after parse"

